<template>
  <div class="ele-body">
    <el-card shadow="never" v-loading="loading">
      <ele-split-layout width="266px" allow-collapse :right-style="{ overflow: 'hidden' }">
        <div>
          <div class="ele-border-lighter sys-organization-list">
            <AssetTree @handleNodeClick="handleNodeClick" @setRootId="setRootId" :id="rootId" ref="treeList" />
          </div>
        </div>
        <template v-slot:content>
          <user-list v-if="current" :category-id="current.id" :root-id="rootId" ref="searchRef" />
        </template>
      </ele-split-layout>
    </el-card>
  </div>
</template>

<script>
import AssetTree from '@/components/AssetTree';
import userList from './components/user-list.vue';

export default {
  components: {
    AssetTree,
    userList
  },
  data() {
    return {
      // 加载状态
      loading: false,
      // 表格选中数据
      selection: [],
      current: null,
      rootId: '12'
    };
  },
  computed: {},
  methods: {
    handleNodeClick(info) {
      this.current = info;
       this.$nextTick(() => {
        console.log(info)
        this.$refs.searchRef.clickSearch(info)
       })
    },
    // 获取根节点id
    setRootId(id) {
      if (id) {
        this.rootId = id;
      }

    }
  }
};
</script>

<style lang="scss" scoped>
.sys-organization-list {
  height: calc(100vh - 264px);
  box-sizing: border-box;
  border-width: 1px;
  border-style: solid;
  overflow: auto;
}

.sys-organization-list :deep(.el-tree-node__content) {
  height: 40px;

  &>.el-tree-node__expand-icon {
    margin-left: 10px;
  }
}
</style>
